Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1056255 - Vary: User-Agent header causes akamai problems
Summary: Vary: User-Agent header causes akamai problems
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Website
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Jordan Liggitt
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 19:06 UTC by Jordan Liggitt
Modified: 2015-05-15 01:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-25 20:20:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jordan Liggitt 2014-01-21 19:06:33 UTC
Description of problem:
The Vary: User-Agent header is preventing akamai from caching site content well

Removing that header caused problems in Chrome with gzipped content being returned without a "Content-Encoding: gzip" header (only recreatable in PROD after several hours).

We need to figure out how to remove "Vary: User-Agent" without causing problems.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jordan Liggitt 2014-03-25 20:20:15 UTC
Closing, akamai is able to cache even with that header in place


Note You need to log in before you can comment on or make changes to this bug.